using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.WebControls; 

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
      // Create first root item
      RadMenuItem rmItem = new RadMenuItem();
      rmItem.Text = "Politics";
      rmItem.CssClass = "MainItem";
      RadMenu1.Items.Add( rmItem );

      // Add sub-items
      RadMenuItem rmSubItem = new RadMenuItem();
      rmSubItem.Text = "CNN";
      rmSubItem.NavigateUrl = "http://www.cnn.com"; 
      rmItem.Items.Add( rmSubItem );

      rmSubItem = new RadMenuItem();
      rmSubItem.Text = "NBC";
      rmSubItem.NavigateUrl = "http://www.nbc.com"; 
      rmItem.Items.Add( rmSubItem );

      rmSubItem = new RadMenuItem();
      rmSubItem.Text = "ABC";
      rmSubItem.NavigateUrl = "http://www.abc.com"; 
      rmItem.Items.Add( rmSubItem );

      // Create second root item
      rmItem = new RadMenuItem();
      rmItem.Text = "Sports";
      rmItem.CssClass = "MainItem";

      RadMenu1.Items.Add( rmItem );

      // Add sub-items
      rmSubItem = new RadMenuItem();
      rmSubItem.Text = "ESPN";
      rmSubItem.NavigateUrl = "http://www.espn.com"; 
      rmItem.Items.Add( rmSubItem );

      rmSubItem = new RadMenuItem();
      rmSubItem.Text = "USA Hockey";
      rmSubItem.NavigateUrl = "http://www.usahockey.com"; 
      rmItem.Items.Add( rmSubItem );

      // Create third root item
      rmItem = new RadMenuItem();
      rmItem.Text = "Events";
      rmItem.CssClass = "MainItem";

      RadMenu1.Items.Add( rmItem );

      // Add sub-items
      rmSubItem = new RadMenuItem();
      rmSubItem.Text = "Oscar Awards";
      rmSubItem.NavigateUrl = "http://www.oscar.com"; 
      rmItem.Items.Add( rmSubItem );

      rmSubItem = new RadMenuItem();
      rmSubItem.Text = "MTV Movie Awards";
      rmSubItem.NavigateUrl = "http://www.mtv.com"; 
      rmSubItem.Enabled = false;  // Disable this item. 
      rmItem.Items.Add( rmSubItem );
    }
}